Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoDetTournamentSelect< EOT > Class Template Reference

eoDetTournamentSelect: a selection method that selects ONE individual by deterministic tournament -MS- 24/10/99 More...

`#include <eoDetTournamentSelect.h>`

Inheritance diagram for eoDetTournamentSelect< EOT >:

List of all members.

## Public Member Functions
| eoDetTournamentSelect (unsigned _tSize=2)
virtual const EOT & | operator() (const eoPop< EOT > &_pop)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
unsigned | tSize

## Detailed Description

### template<class EOT>
class eoDetTournamentSelect< EOT >

eoDetTournamentSelect: a selection method that selects ONE individual by deterministic tournament -MS- 24/10/99

Definition at line 44 of file eoDetTournamentSelect.h.

The documentation for this class was generated from the following file:

- eoDetTournamentSelect.h